## Index

### Type aliases

- AsObject

## Type aliases

### AsObject

AsObject: { contractSignature: string; currentDate: number; depositTxHex: string; depositTxKey: string; paymentAccountKey: Uint8Array | string; pubKeyRing?: PubKeyRing . AsObject ; senderNodeAddress?: NodeAddress . AsObject ; tradeId: string; uid: string }

- Defined in src/protobuf/pb_pb.d.ts:1544

#### Type declaration

- ##### contractSignature: string

- ##### currentDate: number

- ##### depositTxHex: string

- ##### depositTxKey: string

- ##### paymentAccountKey: Uint8Array | string

- ##### Optional pubKeyRing?: PubKeyRing . AsObject

- ##### Optional senderNodeAddress?: NodeAddress . AsObject

- ##### tradeId: string

- ##### uid: string

Generated using TypeDoc